Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.operators
Class Operator

    java.lang.Object
      unity.operators.Operator

Direct Known Subclasses:
  BufferOperator, DistributedJoin, DynamicHashJoin, EarlyHashJoin, FileScan, HashMergeJoin, MatchOperator, MergeJoin, MergeSort, NestedLoopJoin, Projection, ResultSetScan, Selection, SortEliminator, SortGrouper, SortSetOp, TextFileScan, XJoin

    public abstract class Operator

extends java.lang.Object

Method Summary
`void` | `close()`
`Relation` | `getOutputRelation()`
`int` | `getPageIOs()`
`int` | `getPagesRead()`
`int` | `getTupleIOs()`
`int` | `getTuplesOutput()`
`int` | `getTuplesRead()`
`boolean` | `hasNext()`
`abstract void` | `init()`
`boolean` | `isBuffered()`
`abstract Tuple` | `next()`
`static void` | `printTree(Operator root, int depth)`
`void` | `setOutputRelation(Relation r)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public abstract void init()
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### next

    public abstract Tuple next()
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### hasNext

    public boolean hasNext()
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### isBuffered

    public boolean isBuffered()

### setOutputRelation

    public void setOutputRelation(Relation r)

### getOutputRelation

    public Relation getOutputRelation()

### getTuplesOutput

    public int getTuplesOutput()

### getTuplesRead

    public int getTuplesRead()

### getPagesRead

    public int getPagesRead()

### getTupleIOs

    public int getTupleIOs()

### getPageIOs

    public int getPageIOs()

### printTree

    public static void printTree(Operator root,
                                 int depth)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD